Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole.python
Class JInteractiveConsole

    java.lang.Object
      org.python.util.PythonInterpreter
          org.python.util.InteractiveInterpreter
              org.python.util.InteractiveConsole
                  com.artenum.jyconsole.python.JInteractiveConsole

    public class JInteractiveConsole

extends org.python.util.InteractiveConsole

Author:
  Sebastien Jourdain, jourdain@artenum.com

Field Summary

Fields inherited from class org.python.util.InteractiveConsole
`CONSOLE_FILENAME, filename`

Fields inherited from class org.python.util.InteractiveInterpreter
`buffer`

Fields inherited from class org.python.util.PythonInterpreter
`cflags, systemState`

Constructor Summary
`JInteractiveConsole()`
`JInteractiveConsole(boolean addDefaultStream)`
`JInteractiveConsole(org.python.core.PyObject obj)`
`JInteractiveConsole(org.python.core.PyObject obj, boolean addDefaultStream)`
`JInteractiveConsole(org.python.core.PyObject obj, java.lang.String name)`
`JInteractiveConsole(org.python.core.PyObject obj, java.lang.String name, boolean addDefaultStream)`

Method Summary
`void` | `addErr(SingleStream ss)`
`void` | `addOut(SingleStream ss)`
`void` | `removeErr(SingleStream ss)`
`void` | `removeOut(SingleStream ss)`

Methods inherited from class org.python.util.InteractiveConsole
`getDefaultBanner, interact, interact, push, raw_input`

Methods inherited from class org.python.util.InteractiveInterpreter
`interrupt, resetbuffer, runcode, runsource, runsource, runsource, showexception, write`

Methods inherited from class org.python.util.PythonInterpreter
`cleanup, eval, exec, exec, execfile, execfile, execfile, get, get, getLocals, initialize, set, set, setErr, setErr, setErr, setLocals, setOut, setOut, setOut, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JInteractiveConsole

    public JInteractiveConsole()

### JInteractiveConsole

    public JInteractiveConsole(org.python.core.PyObject obj)

### JInteractiveConsole

    public JInteractiveConsole(org.python.core.PyObject obj,
                               java.lang.String name)

### JInteractiveConsole

    public JInteractiveConsole(boolean addDefaultStream)

### JInteractiveConsole

    public JInteractiveConsole(org.python.core.PyObject obj,
                               boolean addDefaultStream)

### JInteractiveConsole

    public JInteractiveConsole(org.python.core.PyObject obj,
                               java.lang.String name,
                               boolean addDefaultStream)

Method Detail

### addOut

    public void addOut(SingleStream ss)

### removeOut

    public void removeOut(SingleStream ss)

### addErr

    public void addErr(SingleStream ss)

### removeErr

    public void removeErr(SingleStream ss)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com